summaryrefslogtreecommitdiffstats
path: root/package/ntpclient/files/ntpclient.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/ntpclient/files/ntpclient.init')
-rw-r--r--package/ntpclient/files/ntpclient.init11
1 files changed, 10 insertions, 1 deletions
diff --git a/package/ntpclient/files/ntpclient.init b/package/ntpclient/files/ntpclient.init
index 923022bfc..2ad4beb77 100644
--- a/package/ntpclient/files/ntpclient.init
+++ b/package/ntpclient/files/ntpclient.init
@@ -1,2 +1,11 @@
#!/bin/sh
-/usr/sbin/ntpclient -c 1 -s -h pool.ntp.org &
+server=$(nvram get ntp_server)
+case "$ACTION" in
+ ifup)
+ ps x | grep '[n]tpclient' >&- || {
+ route -n 2>&- | grep '0.0.0.0' >&- && /usr/sbin/ntpclient -c 1 -s -h ${server:-pool.ntp.org} &
+ }
+ ;;
+ ifdown)
+ route -n 2>&- | grep '0.0.0.0' >&- || killall ntpclient 2>&- >&- ;;
+esac